import Layout from '../pages/layout'
import Index from '../pages'
import SignUp from '../pages/agent/signup.vue'
import BuildingDetail from '../pages/building/buildingdetail.vue'
import LookHouse from '../pages/reservation/lookhouse.vue'
import BuildingImage from '../pages/building/buildingimage.vue'
import BuildingType from '../pages/building/buildingtype.vue'
import PerimeterType from '../pages/building/perimetertype.vue'

export default [
  {
    path: '/',
    component: Layout,
    children: [
      {
        path: '',
        name: 'index',
        component: Index
      },
      {
        path: 'signup',
        name: 'signup',
        component: SignUp
      },
      {
        path: 'buildingdetail',
        name: 'buildingdetail',
        component: BuildingDetail
      },
      {
        path: 'lookhouse',
        name: 'lookhouse',
        component: LookHouse
      },
      {
        path: 'buildingimage',
        name: 'buildingimage',
        component: BuildingImage
      },
      {
        path: 'buildingtype',
        name: 'buildingtype',
        component: BuildingType
      },
      {
        path: 'perimetertype',
        name: 'perimetertype',
        component: PerimeterType
      }
    ]
  },
]
