import request from '../utils/request'
import getAPI from '../config/apis'

export default {
    namespaced: true,
    state: {
      collect: '',
      buildingid :'',
    },
    mutations: {
      updateDeleteCollect(state, collect,buildingid) {
        state.collect = collect
        state.buildingid = buildingid
      }
    },
    actions: {
        getDeleteCollect({ commit }, params) {
        return new Promise((resolve, reject) => {
          request({ ...getAPI('deletecollect.delete', {buildingid: params.buildingid ,data: params }) }).then((data) => {
            commit('updateDeleteCollect', data)
            resolve()            
          }).catch(reject)
        });
      },
    }
  }