import Vue from 'vue'
import Vuex from 'vuex'

Vue.use(Vuex)

const store = new Vuex.Store({
  modules: {
    app: require('./app.js').default,
    user: require('./user.js').default,
    building: require('./building.js').default,
    buildingimage: require('./buildingimage.js').default,
    buildingtype: require('./buildingtype.js').default,
    collect: require('./collect.js').default,
    delete: require('./delete.js').default,
    map: require('./map.js').default,
    lookhouse: require('./lookhouse.js').default,
    housenamelist: require('./housenamelist.js').default,
    typelist: require('./typelist.js').default,
    order: require('./order.js').default,
    visitors: require('./visitors.js').default,
    
  }
});

export default store;
