import request from '../utils/request'
import getAPI from '../config/apis'

export default {
    state: {
      detail: {},
    },
    mutations: {
      updateMap(state, detail) {
        state.detail = detail
      }
    },
    actions: {
      getMap({ commit }, params) {
        return new Promise((resolve, reject) => {
          request({ ...getAPI('map.getmapinformation', { buildingid: params.buildingid }) }).then((data) => {
            commit('updateMap', data)
            resolve()            
          }).catch(reject)
        });
      },
    }
  }