import request from '../utils/request'
import getAPI from '../config/apis'

export default {
    state: {
      detail: {}
    },
    mutations: {
        updateBuildingImage(state, detail) {
        state.detail = detail
      }
    },
    actions: {
      getBuildingimage({ commit }, params) {
        return new Promise((resolve, reject) => {
          request({ ...getAPI('buildingimage.getbuildingimage', { buildingid: params.buildingid }) }).then((data) => {
            commit('updateBuildingImage', data)
            resolve()            
          }).catch(reject)
        });
      },
    }
  }