import request from '../utils/request'
import getAPI from '../config/apis'

export default {
    namespaced: true,
    state: {
      detail: {},
    },
    mutations: {
        updateLookHouse(state, detail) {
        state.detail = detail;
      },
      updateLookHouseList(state, detail) {
        state.detail = {...detail,buildingName:detail.name,buildingAddress: detail.buildingaddress};
       // state.detail.buildingName = detail.name;
        //state.detail.buildingAddress = detail.buildingaddress
      }
    },
    actions: {
      getLookHouse({ commit }, params) {
        return new Promise((resolve, reject) => {
          request({ ...getAPI('lookhouse.subscribeinformation', { project_id: params.project_id}) }).then((data) => {
            commit('updateLookHouse', data)
            resolve()            
          }).catch(reject)
        });
      },
      updateData({ commit }, params) {
        commit('updateLookHouseList', params);
      }
    }
  }