module.exports = {
  css: {
    loaderOptions: {
      postcss: {
        plugins: [
          require('postcss-import'),
          require('postcss-theme-variables')({
            vars: {
              'button-default-color': '#fff',
              'button-default-background-color': '#3F4144',
              'button-default-border-color': '#3F4144',
            },
            prefix: '$'
          }),
          require('precss')(),
          require('autoprefixer')({
            browsers: ['Android >= 4.0', 'iOS >= 7']
          })
        ]
      }
    }
  },
  devServer: {
    proxy: {
      '/api': {
        target: 'http://192.168.0.166:8087', // wf
        changeOrigin: true, // 如果接口跨域，需要进行这个参数配置
        // pathRewrite: {
        //   '^/api': '/api-v2/api'
        // },
      },
    },
    // compress: true,
    disableHostCheck: true,   // That solved it
  }
}
